Subject: RE: bug#27897: [PATCH] 25.1; Add REGION-NONCONTIGUOUS-P arg to other replace.el commands

From: Drew Adams <[email-masked]>
Date: Wed, 18 Apr 2018 16:25:54 -0700 (PDT)

> > -(defun query-replace-regexp-eval (regexp to-expr &optional delimited
> start end)
> > +(defun query-replace-regexp-eval (regexp to-expr &optional delimited
> start end region-noncontiguous-p)
> > -(defun map-query-replace-regexp (regexp to-strings &optional n start
> end)
> > +(defun map-query-replace-regexp (regexp to-strings &optional n start
> end region-noncontiguous-p)
> 
> But why not to add the arg backward like in all other commands?

PLEASE DO, here and elsewhere where it is missing, wherever
it makes sense.

I'm having enough trouble just getting REGION-NONCONTIGUOUS-P
added. ;-)

[And getting arguments described in doc strings (bug #31207).
I was afraid that someone might even complain that I added
some rudimentary mention of other args in this patch.  But
I tried to sneak that in anyway. ;-)]

And some of the commands I added REGION-NONCONTIGUOUS-P to
already had BACKWARD, while others did not.  Should we
assume that whoever did that did it on purpose and wisely?
Dunno.  My purpose here was not to fix missing BACKWARD,
but if you want to think about that and take care of it,
please do - that would be great, along with applying my
patch for REGION-NONCONTIGUOUS-P.

I have the impression that someone added some stuff here
and there without bothering to think more about it and
doing it more systematically.  But maybe not; maybe there
are good reasons why they did what they did.  For
REGION-NONCONTIGUOUS-P, at least, it seems clear to me
that it is useful everywhere I added it.